Subject: fully deepening a shallow clone

From: Joey Hess <[email-masked]>
Date: Mon, 16 Aug 2010 20:49:05 -0400

git-pull(1):
       --depth=<depth>
           Deepen the history of a shallow repository created by git clone
           with --depth=<depth> option (see git-clone(1)) by the specified
           number of commits.

Well, what if I want to deepen an existing shallow clone to include
the full history? In practice, something like --depth=100000000 is going
to work, but in theory, that will eventually fail some day when there are
enough commits. :)

-- 
see shy jo